{-# LANGUAGE QuasiQuotes       #-}

module SourceDownloads where


import           GHCup.Types
import           GHCup.Utils.String.QQ
import           GHCup.Utils.Version.QQ

import           HPath
import           URI.ByteString.QQ

import qualified Data.Map                      as M


-- TODO: source tarballs
-- TODO: reference tarballs
sourceDownloads :: SourceDownloads
sourceDownloads = M.fromList
  [ ( [vver|8.6.5|]
    , DownloadInfo
      [uri|https://downloads.haskell.org/~ghc/8.6.5/ghc-8.6.5-src.tar.xz|]
      (Just ([rel|ghc-8.6.5|] :: Path Rel))
      [s|b47726aaf302eb87b4970fcee924d45d|]
    )
  ]
